head	1.5;
access;
symbols
	RELEASE_8_3_0:1.4
	RELEASE_5_0_DP1:1.2;
locks; strict;
comment	@# @;


1.5
date	2012.11.06.11.03.27;	author martymac;	state Exp;
branches;
next	1.4;

1.4
date	2012.01.09.07.38.08;	author martymac;	state Exp;
branches;
next	1.3;

1.3
date	2002.04.17.13.53.16;	author kevlo;	state dead;
branches;
next	1.2;

1.2
date	2002.03.23.09.30.54;	author pat;	state Exp;
branches;
next	1.1;

1.1
date	2002.02.13.14.27.28;	author lioux;	state Exp;
branches;
next	;


desc
@@


1.5
log
@SVN rev 307060 on 2012-11-06 11:03:27Z by martymac

- Update to 4.4.0
- Fix typos in patch-configure

Feature safe:	yes
@
text
@lftp 4.3.3 checked for _Bool using C, not C++ ; keep this behaviour here because
a failure to detect _Bool here would lead to try to re-define it in lftp's
stdbool.h also included by C files, C having this type already defined.
See HAVE__BOOL, "stdbool.h" and <stdbool.h>.

--- configure.orig	2012-01-05 18:27:42.780415913 +0100
+++ configure	2012-01-05 18:31:57.117411742 +0100
@@@@ -28128,6 +28128,11 @@@@
 #define PROMOTED_MODE_T $gl_cv_promoted_mode_t
 _ACEOF
 
+ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 { $as_echo "$as_me:${as_lineno-$LINENO}: checking for stdbool.h that conforms to C99" >&5
 $as_echo_n "checking for stdbool.h that conforms to C99... " >&6; }
@@@@ -28196,7 +28201,7 @@@@
   return 0;
 }
 _ACEOF
-if ac_fn_cxx_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"; then :
   ac_cv_header_stdbool_h=yes
 else
   ac_cv_header_stdbool_h=no
@@@@ -28205,7 +28210,7 @@@@
 fi
 { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_header_stdbool_h" >&5
 $as_echo "$ac_cv_header_stdbool_h" >&6; }
-   ac_fn_cxx_check_type "$LINENO" "_Bool" "ac_cv_type__Bool" "$ac_includes_default"
+   ac_fn_c_check_type "$LINENO" "_Bool" "ac_cv_type__Bool" "$ac_includes_default"
 if test "x$ac_cv_type__Bool" = xyes; then :
 
 cat >>confdefs.h <<_ACEOF
@@@@ -28242,6 +28247,11 @@@@
     HAVE__BOOL=0
   fi
 
+ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 
   # parse-datetime.y works with bison only.
@


1.4
log
@Update to 4.3.4
@
text
@d3 1
a3 1
stdbool.h also included by C files, C having this thype is already defined.
@


1.3
log
@Update to version 2.5.1

PR: 37184
Submitted by: MAINTAINER
@
text
@d1 29
a29 3
--- configure.orig	Thu Mar 21 16:12:29 2002
+++ configure	Thu Mar 21 16:13:33 2002
@@@@ -19041,88 +19041,6 @@@@
d31 16
a46 1
 done
a47 82
-   echo "$as_me:19044: checking if trio library is needed" >&5
-echo $ECHO_N "checking if trio library is needed... $ECHO_C" >&6
-if test "${ac_cv_need_trio+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
-      ac_cv_need_trio=no;
-
-      if test x$ac_cv_func_vsnprintf != xyes; then
-	 ac_cv_need_trio="yes (because there is no system vsnprintf function)"
-      else
-
-      if test "$cross_compiling" = yes; then
-  { { echo "$as_me:19057: error: cannot run test program while cross compiling" >&5
-echo "$as_me: error: cannot run test program while cross compiling" >&2;}
-   { (exit 1); exit 1; }; }
-else
-  cat >conftest.$ac_ext <<_ACEOF
-#line 19062 "configure"
-#include "confdefs.h"
-
-	 int main()
-	 {
-	    unsigned long long x=0,x1;
-	    long long y=0,y1;
-	    char buf[128];
-
-	    x=~x;
-	    sscanf("0","%llu",&x);
-	    if(x!=0) return 1;
-
-	    y=~y;
-	    sscanf("0","%lld",&y);
-	    if(y!=0) return 1;
-
-	    x=~x;
-	    sprintf(buf,"%lld %llu",y,x);
-	    sscanf (buf,"%lld %llu",&y1,&x1);
-	    if(x!=x1 || y!=y1)
-	       return 1;
-
-	    return 0;
-	 }
-_ACEOF
-rm -f conftest$ac_exeext
-if { (eval echo "$as_me:19089: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:19092: \$? = $ac_status" >&5
-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:19094: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:19097: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  :
-else
-  echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_need_trio="yes (because %lld fails)"
-fi
-rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-
-      fi
-
-fi
-echo "$as_me:19112: result: $ac_cv_need_trio" >&5
-echo "${ECHO_T}$ac_cv_need_trio" >&6
-   case $ac_cv_need_trio in
-   yes*)
-      LIBOBJS="$LIBOBJS trio.$ac_objext"
-      LIBOBJS="$LIBOBJS trionan.$ac_objext"
-      LIBOBJS="$LIBOBJS triostr.$ac_objext"
-
-cat >>confdefs.h <<\EOF
-#define TRIO_REPLACE_STDIO 1
-EOF
-
-      ;;
-   esac
d49 1
a49 2
 # See if we have h_errno (the test is here so we can use -lresolv if necessary).
 echo "$as_me:19128: checking for h_errno" >&5
@


1.2
log
@Update to 2.5.0a

PR:		36194
Submitted by:	maintainer
@
text
@@


1.1
log
@Skip `trio' checks in configure. Therefore, bump PORTREVISION

PR:		34905
Submitted by:	maintainer
@
text
@d1 3
a3 3
--- configure.orig	Wed Jan 30 06:06:31 2002
+++ configure	Wed Feb 13 12:22:43 2002
@@@@ -18821,86 +18821,6 @@@@
d7 1
a7 1
-   echo "$as_me:18824: checking if trio library is needed" >&5
d20 1
a20 1
-  { { echo "$as_me:18837: error: cannot run test program while cross compiling" >&5
d25 1
a25 1
-#line 18842 "configure"
d52 1
a52 1
-if { (eval echo "$as_me:18869: \"$ac_link\"") >&5
d55 1
a55 1
-  echo "$as_me:18872: \$? = $ac_status" >&5
d57 1
a57 1
-  { (eval echo "$as_me:18874: \"$ac_try\"") >&5
d60 1
a60 1
-  echo "$as_me:18877: \$? = $ac_status" >&5
d75 1
a75 1
-echo "$as_me:18892: result: $ac_cv_need_trio" >&5
d79 3
a81 1
-      LIBOBJS="$LIBOBJS strio.o trio.o trionan.o"
d91 1
a91 1
 echo "$as_me:18906: checking for h_errno" >&5
@

